"""
Author: Michel Peltriaux
Organization: Struktur- und Genehmigungsdirektion Nord, Rhineland-Palatinate, Germany
Contact: michel.peltriaux@sgdnord.rlp.de
Created on: 15.12.20

"""
from django.utils.translation import gettext_lazy as _

from konova.settings import DEFAULT_GROUP, ZB_GROUP, ETS_GROUP

GROUPS_DATA = [
        {
            "name": DEFAULT_GROUP,
        },
        {
            "name": ZB_GROUP,
        },
        {
            "name": ETS_GROUP,
        },
    ]

# Must match with UserNotificationEnum
USER_NOTIFICATIONS_NAMES = {
    "NOTIFY_ON_SHARED_ACCESS_GAINED": _("On shared access gained"),
    "NOTIFY_ON_SHARED_ACCESS_REMOVED": _("On shared access removed"),
    "NOTIFY_ON_SHARED_DATA_RECORDED": _("On shared data recorded"),
    "NOTIFY_ON_SHARED_DATA_DELETED": _("On shared data deleted"),
    "NOTIFY_ON_SHARED_DATA_CHECKED": _("On shared data checked"),
}